@media only screen and (max-width: 1500px) {
    .site_container,
    .tinv-wishlist,
    .wp-block-woocommerce-checkout,
    .woocommerce-order {
        padding-left: 80px;
        padding-right: 80px;
    }

    h1 {
        font-size: 70px;
        line-height: 79px;
    }

    h2 {
        font-size: 50px;
    }

    h3 {
        font-size: 40px;
    }

    .banner_sec {
        height: 650px;
    }

    .banner_content {
        padding: 130px 0;
    }

    .why_choose_row,
    .become_customer_today_row {
        gap: 70px;
    }

    .why_choose_row .img_block,
    .why_choose_row .content_block,
    .become_customer_today_row .img_block,
    .become_customer_today_row .content_block {
        width: calc(50% - 35px);
    }
}

@media only screen and (max-width: 1439px) {
    .site_container,
    .tinv-wishlist,
    .wp-block-woocommerce-checkout,
    .woocommerce-order {
        padding-left: 50px;
        padding-right: 50px;
    }

    h1 {
        font-size: 60px;
        line-height: 69px;
    }

    h2 {
        font-size: 40px;
    }

    h3 {
        font-size: 32px;
    }

    .banner_content h1 {
        max-width: 808px;
    }

    .why_choose_row .content_block h3 {
        max-width: 320px;
    }

    .why_choose_row,
    .become_customer_today_row,
    .our_story_row {
        gap: 50px;
    }

    .why_choose_row .img_block,
    .why_choose_row .content_block,
    .become_customer_today_row .img_block,
    .become_customer_today_row .content_block,
    .our_story_row .img_block,
    .our_story_row .content_block {
        width: calc(50% - 25px);
    }

    .about_sec {
        min-height: 720px;
        padding: 30px 0 0;
    }

    .featured_products_sec {
        padding: 80px 0;
    }

    .why_choose_sec {
        padding: 50px 0;
    }

    .testimonial_sec {
        padding: 50px 0;
    }

    .contact_row .left_block {
        width: calc(100% - 690px);
        padding-right: 40px;
    }

    .contact_row .right_block {
        width: 690px;
    }

    .contact_row .left_block h2 {
        line-height: 46px;
    }
}

@media only screen and (max-width: 1279px) {
    .site_container,
    .tinv-wishlist,
    .wp-block-woocommerce-checkout,
    .woocommerce-order {
        padding-left: 30px;
        padding-right: 30px;
    }

    .header_row .cart_block {
        gap: 20px;
    }

    .why_choose_row .content_block ul {
        margin: 0;
    }

    .why_choose_row .content_block ul li {
        padding: 8px;
    }

    .why_choose_row .content_block ul li .icon_block {
        width: 60px;
        height: 60px;
    }

    .why_choose_row .content_block ul li h5 {
        width: calc(100% - 60px);
        padding-left: 16px;
        font-size: 18px;
    }

    .sub_banner_content {
        padding: 48px 0;
    }

    .sub_banner_content h2 {
        margin: 20px 0;
    }

    .our_story_top {
        padding: 50px 0;
    }

    .our_story_top h3 {
        font-size: 30px;
    }

    .furming_sec {
        padding: 50px 0 500px;
    }

    .sub_banner_content h2 {
        line-height: 47px;
    }

    .sub_banner_row .right_block {
        max-width: 350px;
    }

    .product_details_row {
        gap: 50px;
    }

    .product_details_row .img_block {
        width: calc(50% - 25px);
    }

    .product_details_row .content_block {
        width: calc(50% - 25px);
    }
}

@media only screen and (max-width: 1199px) {
    h1 {
        font-size: 55px;
        line-height: 62px;
    }

    h2 {
        font-size: 38px;
    }

    h3 {
        font-size: 30px;
    }

    .site_container,
    .wp-block-woocommerce-checkout,
    .woocommerce-order {
        padding-left: 16px;
        padding-right: 16px;
    }

    .header_row .logo_block {
        width: 180px;
    }

    .header_row .menu_block ul {
        gap: 6px;
    }

    .banner_sec {
        height: 502px;
    }

    .banner_content {
        padding: 70px 0;
    }

    .banner_content h1 {
        max-width: 738px;
    }

    .why_choose_row,
    .become_customer_today_row,
    .our_story_row {
        gap: 30px;
    }

    .why_choose_row .img_block,
    .why_choose_row .content_block,
    .become_customer_today_row .img_block,
    .become_customer_today_row .content_block,
    .our_story_row .img_block,
    .our_story_row .content_block {
        width: calc(50% - 15px);
    }

    .featured_products_sec {
        padding: 50px 0;
    }

    .featured_products_row {
        margin: 0 -8px;
    }

    .featured_products_col {
        padding: 8px;
    }

    footer {
        padding: 50px 0 30px;
    }

}

@media only screen and (max-width: 1099px) {
    h2 {
        font-size: 35px;
    }

    .sub_banner_content h2 {
        line-height: 43px;
    }

    .header_row .cart_block {
        gap: 10px;
    }

    .about_sec {
        min-height: 540px;
    }

    .about_sec_title h3 {
        margin: 0 0 16px;
    }

    .about_sec_title h4 {
        font-size: 20px;
    }

    .testimonial_card {
        padding: 20px;
    }

    .contact_row .left_block {
        width: calc(100% - 600px);
        padding-right: 20px;
    }

    .contact_row .right_block {
        width: 600px;
        padding: 20px;
    }

    .our_story_top h3 {
        font-size: 24px;
    }

    .furming_sec {
        padding: 50px 0 290px;
        background-repeat: no-repeat;
        background-size: 100% auto;
        background-position: left bottom;
    }

    .product_list_row .filter_block {
        width: 250px;
    }

    .product_list_row .listing_block {
        width: calc(100% - 250px);
        padding-left: 16px;
    }
}

@media only screen and (max-width: 1023px) {

    .header_row .cart_block button svg,
    .header_row .cart_block a svg {
        width: 20px;
    }

    .header_row .cart_block button[aria-label="menu-button"] {
        display: block;
    }

    .header_row .cart_block button[aria-label="menu-button"] img:nth-child(2) {
        display: none;
    }

    .header_row .cart_block button.active_Cross[aria-label="menu-button"] img:nth-child(1) {
        display: none;
    }

    .header_row .cart_block button.active_Cross[aria-label="menu-button"] img:nth-child(2) {
        display: block;
    }

    .header_row .menu_block {
        position: fixed;
        top: 118px;
        background: #fff;
        height: calc(100vh - 118px);
        right: -100%;
        width: 300px;
        box-shadow: -4px 20px 34px 0 rgba(0, 0, 0, 0.11);
        transition: all 0.5s;
        padding: 30px 20px;
        z-index: 19;
    }

    .header_row .menu_block.show {
        right: 0;
    }

    .header_row .menu_block ul {
        flex-wrap: wrap;
        gap: 12px;
    }

    .header_row .menu_block ul li,
    .header_row .menu_block ul li a {
        width: 100%;
        display: block;
    }

    .header_overlay {
        display: none;
        position: fixed;
        top: 118px;
        height: calc(100vh - 118px);
        left: 0;
        right: 0;
        background: rgba(150, 148, 148, 0.60);
        backdrop-filter: blur(13px);
        z-index: 8;
    }

    .header_overlay.show {
        display: block;
    }

    .testimonial_card .user_block .avatar {
        width: 50px;
        height: 50px;
    }

    .why_choose_sec {
        padding: 50px 0 30px;
    }

    .why_choose_row,
    .become_customer_today_row,
    .our_story_row {
        gap: 16px;
    }

    .why_choose_row .img_block,
    .why_choose_row .content_block,
    .become_customer_today_row .img_block,
    .become_customer_today_row .content_block,
    .our_story_row .img_block,
    .our_story_row .content_block {
        width: calc(50% - 8px);
    }

    .product_card {
        padding: 16px;
    }

    .product_card .img_block {
        height: 170px;
    }

    .banner_sec {
        height: 482px;
    }

    .product_list_row .filter_block {
        width: 100%;
        position: fixed;
        left: 0;
        bottom: 0;
        background: #fff;
        z-index: 9;
        padding: 8px;
        height: 40px;
        overflow: hidden;
        box-shadow: 0px -5px 20px 5px rgba(0, 0, 0, 0.13);
        transition: all 0.5s;
    }

    .product_list_row .filter_block.show {
        height: 440px;
        overflow: auto;
    }

    .product_list_row .listing_block {
        width: 100%;
        padding-left: 0px;
    }

    .product_list_row .filter_block .for_mobile {
        display: flex;
        justify-content: center;
        width: 100%;
    }

    .product_list_row .filter_block .for_mobile button {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 8px;
    }

    .product_details_row {
        gap: 20px;
    }

    .product_details_row .img_block {
        width: calc(45% - 10px);
    }

    .product_details_row .content_block {
        width: calc(55% - 10px);
    }
}

@media only screen and (max-width: 975px) {
    h1 {
        font-size: 40px;
        line-height: 43px;
    }

    .banner_content h1 {
        max-width: 538px;
    }

    .banner_sec {
        height: 385px;
    }

    .banner_content {
        padding: 50px 0;
    }

    .banner_sec::after {
        background: linear-gradient(180deg, rgba(0, 0, 0, 0) 31.92%, rgba(255, 255, 255, 0.5) 69.42%);
    }

    .about_sec {
        min-height: 400px;
        background-position: 100% -1710%;
        background-repeat: no-repeat;
    }

    .about_sec_title h4 {
        margin: 0 auto 20px;
    }

    .featured_products_col {
        width: 33.333%;
    }

    .footer_top .right_block {
        gap: 80px;
        width: 370px;
    }

    .contact_page {
        padding: 42px 0 250px;
        background-size: 100%;
        background-repeat: no-repeat;
    }

    .contact_row .left_block {
        width: 100%;
        padding-right: 0px;
        padding-bottom: 50px;
    }

    .contact_row .right_block {
        width: 100%;
        padding: 20px;
    }

}

@media only screen and (max-width: 850px) {

    .why_choose_row .img_block,
    .why_choose_row .content_block,
    .become_customer_today_row .img_block,
    .become_customer_today_row .content_block,
    .our_story_row .img_block,
    .our_story_row .content_block {
        width: 100%;
    }

    .why_choose_row .img_block img,
    .become_customer_today_row .img_block img,
    .our_story_row .img_block img {
        margin-left: auto;
        margin-right: auto;
        display: block;
        width: 100%;
        max-width: 500px;
    }

    .become_customer_today_row {
        flex-direction: column-reverse;
    }

    .become_customer_today_row .content_block h1 {
        margin: 0 0 30px;
    }

    .become_customer_today_row .content_block {
        padding-bottom: 24px;
    }

    .why_choose_row {
        flex-direction: column-reverse;
    }

    .cart_modal {
        width: 500px;
    }

    .cart_modal .widget_shopping_cart_content ul li .img_block a {
        width: 120px;
        height: 90px;
    }

    .cart_modal .widget_shopping_cart_content ul li .content_block {
        width: calc(100% - 124px);
    }

    .cart_modal .widget_shopping_cart_content ul li .content_block a {
        font-size: 16px;
    }

    .cart_modal .woocommerce-mini-cart__total.total strong {
        font-size: 22px;
    }

    .cart_modal .woocommerce-mini-cart__total.total .woocommerce-Price-amount.amount {
        font-size: 22px;
    }

    .cart_modal .woocommerce-mini-cart__total.total {
        padding: 20px;
    }

    .cart_modal_header {
        padding: 20px;
    }

    .cart_modal_footer {
        padding: 20px;
    }


}

@media only screen and (max-width: 767px) {
    .product_list_row .listing_block .featured_products_col {
        width: 50%;
    }

    .sub_banner_row .right_block {
        display: none;
    }

    .sub_banner_row .left_block {
        width: 100%;
    }

    .product_list_sec {
        padding: 40px 0;
    }

    .product_details_row .img_block {
        width: 100%;
    }

    .product_details_row .content_block {
        width: 100%;
    }

    .product_certified_col {
        width: calc(50% - 11px);
    }

    .details_decp_block {
        gap: 30px;
    }

    .product_details_row .content_block .count_cart_box form {
        gap: 10px;
    }

    .product_details_row .content_block .count_cart_box .count_box {
        width: 170px;
    }

    .product_details_row .content_block .count_cart_box form .single_add_to_cart_button {
        width: calc(100% - 170px);
    }
}

@media only screen and (max-width: 600px) {
    h1 {
        font-size: 30px;
        line-height: 39px;
    }

    h3 {
        font-size: 24px;
    }

    .header_row .menu_block,
    .header_overlay {
        top: 103px;
        height: calc(100vh - 103px);
    }

    .header_top p {
        font-size: 14px;
    }

    .header_row .cart_block {
        gap: 7px;
    }

    .header_row .logo_block {
        max-width: 130px;
    }

    .banner_content {
        padding: 20px 0;
    }

    .banner_sec::after {
        background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(255, 255, 255, 0.3) 0%);
    }

    .banner_sec {
        height: auto;
    }

    .banner_content .d-flex {
        flex-wrap: wrap;
    }

    .banner_content h1 {
        margin: 0 auto 10px;
    }

    .featured_products_col {
        width: 50%;
    }

    .why_choose_row .content_block ul li .icon_block {
        width: 50px;
        height: 50px;
    }

    .why_choose_row .content_block ul li .icon_block img {
        max-width: 30px;
    }

    .why_choose_row .content_block ul li h5 {
        width: calc(100% - 50px);
        padding-left: 8px;
        font-size: 14px;
    }

    .about_sec {
        position: relative;
    }

    .about_sec::after {
        background: linear-gradient(180deg, rgba(0, 0, 0, 0) 20.92%, rgba(255, 255, 255, 0.9) 69.42%);
        content: '';
        position: absolute;
        left: 0;
        bottom: 0;
        top: 0;
        right: 0;
    }

    .about_sec_title {
        position: relative;
        z-index: 1;
    }

    .featured_products_col {
        width: 100%;
    }

    .why_choose_row .content_block ul li {
        padding: 6px;
    }

    .featured_products_sec .title_block {
        flex-wrap: wrap;
    }

    .featured_products_sec .title_block .left_block {
        width: 100%;
        padding-bottom: 16px;
    }

    .product_card .img_block {
        height: 150px;
    }

    .footer_top .left_block {
        width: 100%;
    }

    .footer_top .left_block a img {
        max-width: 200px;
    }

    .footer_top .right_block {
        gap: 40px;
        width: 100%;
        padding-top: 30px;
    }

    .footer_bottom p {
        margin-bottom: 16px;
    }

    .why_choose_row .content_block h3 {
        margin: 0 0 30px;
    }

    .contact_page {
        padding: 42px 0 100px;
    }

    .our_story_top h3 {
        font-size: 20px;
    }

    .furming_sec {
        padding: 30px 0 130px;
    }

    .auth_main {
        padding: 50px 16px;
    }

    .auth_block .card_block {
        border-radius: 20px;
        padding: 20px;
    }

    .auth_block .card_block .register_block {
        padding: 20px 0;
    }

    .form-control {
        padding: 12px 14px;
        font-size: 14px;
    }

    .footer_top .left_block ul {
        margin-top: 20px;
    }

    .product_list_row .listing_block .featured_products_col {
        width: 100%;
    }

    .product_details_row .content_block h4 {
        font-size: 32px;
        line-height: 33px;
    }

    .product_details_row .content_block h4 span {
        font-size: 22px;
    }
    .cart_modal {
        width: 100%;
    }
    .cart_modal .widget_shopping_cart_content ul li .img_block a {
        width: 100px;
        height: 80px;
    }
    .cart_modal .widget_shopping_cart_content ul li {
        padding: 16px 16px 16px 16px;
    }
    .wp-block-woocommerce-checkout {
        padding-top: 50px !important;
        padding-bottom: 50px;
    }
}